#ifndef __I3dShDeformationZone__
#define __I3dShDeformationZone__
/****************************************************************************************

		I3dShDeformationZone.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	11/13/98

		Revision History

		when		who			what & why
		==========	==========	===========================================

*****************************************************************************************/

#if CP_PRAGMA_ONCE
#pragma once
#endif


// {58DBAA81-7AE3-11d2-AE85-00AA00D307EB}
MCDEFINE_GUID(IID_I3DShDeformationZone, 0x58dbaa81, 0x7ae3, 0x11d2, 0xae, 0x85, 0x0, 0xaa, 0x0, 0xd3, 0x7, 0xeb);

struct I3DShDeformationZone: public IMCUnknown
{
	//The 3 following functions MUST be implemented for coherent results
	virtual boolean  MCCOMAPI IsVertexInDeformationZone( const TVector3 &vertex) const = 0;
	virtual MCCOMErr MCCOMAPI DistanceToZoneBorder( const TVector3 &vertex, real &distance) const = 0;
	virtual MCCOMErr MCCOMAPI GetZoneCenter( TVector3 &center) const =0;
};

#endif
